MODULE trdvor_oce
   !!======================================================================
   !!                   ***  MODULE trdvor_oce  ***
   !! Ocean trends :   set vorticity trend variables
   !!======================================================================
   !! History :  1.0  !  04-2006  (L. Brunier, A-M. Treguier) Original code 
   !!----------------------------------------------------------------------
   
   USE par_oce      ! ocean parameters

   IMPLICIT NONE
   PRIVATE

   !                                               !!* vorticity trends index
   INTEGER, PUBLIC, PARAMETER ::   jpltot_vor = 10  !: Number of vorticity trend terms
   !
   INTEGER, PUBLIC, PARAMETER ::   jpvor_prg =  1   !: Pressure Gradient Trend
   INTEGER, PUBLIC, PARAMETER ::   jpvor_keg =  2   !: KE Gradient Trend
   INTEGER, PUBLIC, PARAMETER ::   jpvor_rvo =  3   !: Relative Vorticity Trend
   INTEGER, PUBLIC, PARAMETER ::   jpvor_pvo =  4   !: Planetary Vorticity Term Trend
   INTEGER, PUBLIC, PARAMETER ::   jpvor_ldf =  5   !: Horizontal Diffusion Trend
   INTEGER, PUBLIC, PARAMETER ::   jpvor_zad =  6   !: Vertical Advection Trend
   INTEGER, PUBLIC, PARAMETER ::   jpvor_zdf =  7   !: Vertical Diffusion Trend
   INTEGER, PUBLIC, PARAMETER ::   jpvor_spg =  8   !: Surface Pressure Grad. Trend
   INTEGER, PUBLIC, PARAMETER ::   jpvor_swf =  9   !: wind stress forcing term
   INTEGER, PUBLIC, PARAMETER ::   jpvor_bfr = 10   !: bottom friction term
   !
   INTEGER, PUBLIC, PARAMETER ::   jpvor_types = 2  !: bottom friction term
   INTEGER, PUBLIC, PARAMETER ::   jpvor_int = 1    !: bottom friction term
   INTEGER, PUBLIC, PARAMETER ::   jpvor_avr = 2    !: bottom friction term

   !!----------------------------------------------------------------------
   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
   !! $Id$
   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
   !!======================================================================
END MODULE trdvor_oce
